QGIS Application - Bug report #6403
link between composer and canvas should use the map-center don't top
2012-09-24 04:01 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15656
Description

Hi,

| notice when ask to the composer to set the extent to the map-extent it

draw starting from top.

This is more complex to use because almost always the map go out of the composer space and need to use the move command to
relocate the map inside the composer space.

I guess should be better that the position was calculated related to the center of map (left-right and top-down).

History

#1 - 2012-09-24 07:01 AM - aperi2007 -

| test better.

| see the availability of the options position and dimension.

But almost on windows it seem don't work or work wrong.

Infact | try to check the center position, but it still maintain the top-left.
It seem put the image center in the top-left .

Doing this it the real image visible in the layout is only a quarter of all.

#2 - 2012-09-24 07:39 AM - Paolo Cavallini

IMHO the behaviour is almost correct: the correct state is saved. The only minor issue is that it is saved as top left corner (with recalculated coords), even

if the user selected the center.

#3 - 2014-01-30 03:29 AM - Nyall Dawson
- Status changed from Open to Feedback

If | understand this bug correctly, it's been fixed in master. Are you able to test with a current development version and let me know if you still experience
this?

#4 - 2014-04-06 06:04 AM - Jiirgen Fischer

- Category changed from 33 to Map Composer/Printing

#5 - 2014-09-19 07:47 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
